package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @description: 转移返回结果DTO
 * @Author: wenhua
 * @Date: 2023/2/3 10:47
 */
public class TransferActiveCodeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 转移总数
     */
    private Integer totalNum;
    /**
     * 成功总数
     */
    private Integer successNum;
    /**
     * 失败总数
     */
    private Integer failedNum;
    /**
     * 失败明细
     */
    private List<Map<String,String>> failedList;

    public Integer getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Integer totalNum) {
        this.totalNum = totalNum;
    }

    public Integer getSuccessNum() {
        return successNum;
    }

    public void setSuccessNum(Integer successNum) {
        this.successNum = successNum;
    }

    public Integer getFailedNum() {
        return failedNum;
    }

    public void setFailedNum(Integer failedNum) {
        this.failedNum = failedNum;
    }

    public List<Map<String, String>> getFailedList() {
        return failedList;
    }

    public void setFailedList(List<Map<String, String>> failedList) {
        this.failedList = failedList;
    }
}
